import {parse} from 'qs'
import domainInstance from '../domainFactory'

export default function loadCookies({
  domain = domainInstance,
  search = window.location.search
} = {}) {
  // Read navOrigen search params
  const {navOrigen} = parse(search, {ignoreQueryPrefix: true})
  // Set cookie with domain use case
  domain.get('set_nav_orgien_cookies_use_case').execute({navOrigen})
}
